「Vlax-curve-getArea」の版間の差分
(ページの作成: ; 構文 : (vlax-curve-getArea ''curve-obj'') ; 機能 : 曲線の内側の面積を返す。 ; 引数 :* curve-obj : 計測する VLA オブジェクト。 ; 戻り値 : 成…) |
編集の要約なし |
||
(同じ利用者による、間の4版が非表示) | |||
1行目: | 1行目: | ||
{{AutoLISP}} | |||
; 構文 | ; 構文 | ||
: (vlax-curve-getArea ''curve-obj'') | : (vlax-curve-getArea ''curve-obj'') | ||
5行目: | 6行目: | ||
; 機能 | ; 機能 | ||
: 曲線の内側の面積を返す。 | : 曲線の内側の面積を返す。 | ||
; 引数 | ; 引数 | ||
:* curve-obj : 計測する VLA オブジェクト。 | :* curve-obj : 計測する VLA オブジェクト。 | ||
; 戻り値 | ; 戻り値 | ||
14行目: | 17行目: | ||
; サンプル | ; サンプル | ||
: | <pre class="brush:autolisp;"> | ||
(defun ex_curvearea () | |||
(vl-load-com) | |||
(setq ent1 (car (entsel "¥n閉じた図形(円,楕円,ポリライン、スプライン etc)をクリック:"))) | |||
(setq vlaobj1 (vlax-ename->vla-object ent1)) | |||
(vlax-curve-getArea vlaobj1) | |||
) | |||
</pre> | |||
----- | |||
関連 | |||
* [[Vlax-curve-getArea]] | |||
* [[Vlax-curve-getStartParam]] | |||
* [[Vlax-curve-getEndParam]] | |||
[[Category:AutoLISP]] | [[Category:AutoLISP]] |
2024年2月16日 (金) 03:04時点における最新版
- 構文
- (vlax-curve-getArea curve-obj)
- 機能
- 曲線の内側の面積を返す。
- 引数
-
- curve-obj : 計測する VLA オブジェクト。
- 戻り値
- 成功した場合は曲線の面積を表す実数。 それ以外の場合は nil。
- サンプル
(defun ex_curvearea () (vl-load-com) (setq ent1 (car (entsel "¥n閉じた図形(円,楕円,ポリライン、スプライン etc)をクリック:"))) (setq vlaobj1 (vlax-ename->vla-object ent1)) (vlax-curve-getArea vlaobj1) )
関連